Summary   	: Low Level networking tools such as ping and rpc 
Name	  	: hhl-target-netkit-base 
Version	  	: 0.10
Release	  	: %{_hhl_build_id}.3
Source	  	: netkit-base_0.10.orig.tar.gz 
Source1		: inetd.conf
Source2: netkit-ping.tmpl
Source3: netkit-inetd.tmpl
Patch	  	: netkit-base_0.10-6.1.diff.gz
Patch1		: netkit-base-0.10.orig-makefile.patch
Patch2		: netkit-base-0.10-makefile.patch
Patch3		: netkit-base-0.10-init.d.patch
Patch4		: netkit-base-clk_tck.diff
Patch5		: netkit-ping.patch
License 	: BSD
Group	  	: Net
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
%description

The basis for all system level networking

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-netkit-ping
Summary		: The ping utility from netkit
Group		: Net
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-netkit-ping 

The ping command sends ICMP ECHO_REQUEST packets to a host in order to
test if the host is reachable via the network.

%package -n hhl-%{_hhl_target_arch}-netkit-inetd
Summary		: The Internet Superserver
Group		: Net
AutoReqProv	: no
Requires	: hhl-%{_hhl_target_arch}-hardhatutils, hhl-%{_hhl_target_arch}-initscripts
%description -n hhl-%{_hhl_target_arch}-netkit-inetd 

The inetd server is a network daemon program that specializes in managing
incoming network connections. It's configuration file tells it what
program needs to be run when an incoming connection is received. Any
service port may be configured for either of the tcp or udp protcols.

#%package -n hhl-%{_hhl_target_arch}-netkit-rpc
#Summary		: The rpcgen and rpcinfo utilities
#Group		: Net
#AutoReqProv	: no
#
#%description -n hhl-%{_hhl_target_arch}-netkit-rpc 
#
#rpcinfo makes an RPC call to an RPC server and reports what it finds.
#
#rpcgen is a tool that generates C code to implement an RPC protocol. The
#input to rpcgen is a language similar to C known as RPC Language
#(Remote Procedure Call Language).

%prep

%target_check

%setup -n netkit-base-%{version}.orig
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup

./configure
make clean
make CC=%{_hhl_target_toolprefix}gcc LDFLAGS=""

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}
mkdir %{buildroot}%{_hhl_cross_target_dir}{%{_hhl_target_sbin_dir},%{_hhl_target_bin_dir},/bin} -p
mkdir %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man{8,1} -p

make -C inetd install \
INSTALLROOT=%{buildroot}%{_hhl_cross_target_dir} \
SBINDIR=%{_hhl_target_sbin_dir} \
MANDIR=%{_hhl_target_man_dir} \
BINDIR=%{_hhl_target_bin_dir}

make -C ping install \
INSTALLROOT=%{buildroot}%{_hhl_cross_target_dir} \
SBINDIR=%{_hhl_target_sbin_dir} \
MANDIR=%{_hhl_target_man_dir} \
BINDIR=%{_hhl_target_bin_dir}

make -C rpcinfo install \
INSTALLROOT=%{buildroot}%{_hhl_cross_target_dir} \
SBINDIR=%{_hhl_target_sbin_dir} \
MANDIR=%{_hhl_target_man_dir} \
BINDIR=%{_hhl_target_bin_dir}

make -C rpcgen install \
INSTALLROOT=%{buildroot}%{_hhl_cross_target_dir} \
SBINDIR=%{_hhl_target_sbin_dir} \
MANDIR=%{_hhl_target_man_dir} \
BINDIR=%{_hhl_target_bin_dir}

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/{init.d,cron.daily}
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5
install debian/inetd.init.d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/inetd
install debian/inetd.conf.5 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5
install debian/cron.daily %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/cron.daily/inetd
install %{SOURCE1} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

cp debian/copyright LICENSE


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/netkit-ping
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/netkit-inetd

%post -n hhl-%{_hhl_target_arch}-netkit-inetd
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add inetd) &> /dev/null \
	|| echo "Unable to enable initd service: inetd"

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-netkit-inetd 
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/inetd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/inetd.8.gz
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/inetd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/inetd.conf.5.gz
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/cron.daily/inetd
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/inetd.conf
%doc LICENSE
#%files -n hhl-%{_hhl_target_arch}-netkit-rpc
#%defattr(-,root,root)
#%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpcgen
#%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/rpcinfo
#%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/rpcgen.1.gz
#%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpcinfo.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/netkit-inetd

%files -n hhl-%{_hhl_target_arch}-netkit-ping
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/ping
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/ping.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/netkit-ping
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Wed Apr 04 2001 Mark Hatle <sources@mvista.com>
- removed netkit-rpc, glibc provides all of this functionality

* Mon Feb 26 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


